package com.neusoft.smart.pos.order.persistent.domain;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class OrderRefund implements Serializable {
    private Integer id;

    private String refundNumber;

    private Integer sellerOrgId;

    private Integer sellerShopId;

    private String sellerCustomerNumber;

    private String serialNo;

    private String originalOrderNumber;

    private Long refundableAmount;

    private String refundStatus;

    private Long refundedAmount;

    private Date refundedTime;

    private Integer version;

    private Date createdAt;

    private String createdBy;

    private String updatedBy;

    private Date updatedAt;

    private static final long serialVersionUID = 1L;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getRefundNumber() {
        return refundNumber;
    }

    public void setRefundNumber(String refundNumber) {
        this.refundNumber = refundNumber == null ? null : refundNumber.trim();
    }

    public Integer getSellerOrgId() {
        return sellerOrgId;
    }

    public void setSellerOrgId(Integer sellerOrgId) {
        this.sellerOrgId = sellerOrgId;
    }

    public Integer getSellerShopId() {
        return sellerShopId;
    }

    public void setSellerShopId(Integer sellerShopId) {
        this.sellerShopId = sellerShopId;
    }

    public String getSellerCustomerNumber() {
        return sellerCustomerNumber;
    }

    public void setSellerCustomerNumber(String sellerCustomerNumber) {
        this.sellerCustomerNumber = sellerCustomerNumber == null ? null : sellerCustomerNumber.trim();
    }

    public String getSerialNo() {
        return serialNo;
    }

    public void setSerialNo(String serialNo) {
        this.serialNo = serialNo == null ? null : serialNo.trim();
    }

    public String getOriginalOrderNumber() {
        return originalOrderNumber;
    }

    public void setOriginalOrderNumber(String originalOrderNumber) {
        this.originalOrderNumber = originalOrderNumber == null ? null : originalOrderNumber.trim();
    }

    public Long getRefundableAmount() {
        return refundableAmount;
    }

    public void setRefundableAmount(Long refundableAmount) {
        this.refundableAmount = refundableAmount;
    }

    public String getRefundStatus() {
        return refundStatus;
    }

    public void setRefundStatus(String refundStatus) {
        this.refundStatus = refundStatus == null ? null : refundStatus.trim();
    }

    public Long getRefundedAmount() {
        return refundedAmount;
    }

    public void setRefundedAmount(Long refundedAmount) {
        this.refundedAmount = refundedAmount;
    }

    public Date getRefundedTime() {
        return refundedTime;
    }

    public void setRefundedTime(Date refundedTime) {
        this.refundedTime = refundedTime;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy == null ? null : createdBy.trim();
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy == null ? null : updatedBy.trim();
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }
}